## PhoshNotificationFrame

PhoshNotificationFrame — A frame containing one or more notifications

## Functions

GtkWidget * | phosh_notification_frame_new ()
void | phosh_notification_frame_bind_notification ()
void | phosh_notification_frame_bind_model ()

## Properties

gboolean | show-body | Read / Write / Construct Only

## Signals

void | empty | Run Last

## Types and Values

#define | PHOSH_TYPE_NOTIFICATION_FRAME
| PhoshNotificationFrame

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── PhoshNotificationFrame

## Implemented Interfaces

PhoshNotificationFrame implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### phosh_notification_frame_new ()

    GtkWidget *
    phosh_notification_frame_new (gboolean show_body);

### phosh_notification_frame_bind_notification ()

    void
    phosh_notification_frame_bind_notification
                                   (PhoshNotificationFrame *self,
                                    PhoshNotification *notification);

Helper function for frames that only need to contain a single notification

Wraps `phosh_notification_frame_bind_model()` by placing `notification` in a PhoshNotificationSource

#### Parameters

self | the PhoshNotificationFrame |
notification | a PhoshNotification |

### phosh_notification_frame_bind_model ()

    void
    phosh_notification_frame_bind_model (PhoshNotificationFrame *self,
                                         GListModel *model);

## Types and Values

### PHOSH_TYPE_NOTIFICATION_FRAME

    #define PHOSH_TYPE_NOTIFICATION_FRAME (phosh_notification_frame_get_type ())

### PhoshNotificationFrame

    typedef struct _PhoshNotificationFrame PhoshNotificationFrame;

## Property Details

### The `“show-body”` property

      “show-body”                gboolean

Whether notificaions in this frame should show the notification body

Owner: PhoshNotificationFrame

Flags: Read / Write / Construct Only

Default value: TRUE

## Signal Details

### The `“empty”` signal

    void
    user_function (PhoshNotificationFrame *phoshnotificationframe,
                   gpointer                user_data)

Flags: Run Last